Loading...
Searching...
No Matches
ON_FileIterator Class Reference

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_archive.h>`

## Public Member Functions

| ON_FileIterator ()
| ~ON_FileIterator ()
void | Destroy ()
const wchar_t * | FirstFile (const wchar_t *directory_name, const wchar_t *file_name_filter)
const wchar_t * | FirstFile (const char *directory_name, const char *file_name_filter)
const wchar_t * | NextFile ()
const wchar_t * | CurrentFileName () const
ON__UINT64 | CurrentFileSize () const
bool | CurrentFileIsDirectory () const
bool | CurrentFileIsHidden () const
bool | GetCurrentFullPathFileName (ON_wString &filename) const
ON__UINT64 | CurrentFileCreateTime () const
ON__UINT64 | CurrentFileLastModifiedTime () const
ON__UINT64 | CurrentFileLastAccessTime () const
ON__UINT64 | Count () const

## Detailed Description

Definition at line 187 of file opennurbs_archive.h.

## Constructor & Destructor Documentation

## ON_FileIterator()

ON_FileIterator::ON_FileIterator | ( |  | ) |

## ~ON_FileIterator()

ON_FileIterator::~ON_FileIterator | ( |  | ) |

## Member Function Documentation

## Count()

ON__UINT64 ON_FileIterator::Count | ( |  | ) | const

## CurrentFileCreateTime()

ON__UINT64 ON_FileIterator::CurrentFileCreateTime | ( |  | ) | const

## CurrentFileIsDirectory()

bool ON_FileIterator::CurrentFileIsDirectory | ( |  | ) | const

## CurrentFileIsHidden()

bool ON_FileIterator::CurrentFileIsHidden | ( |  | ) | const

## CurrentFileLastAccessTime()

ON__UINT64 ON_FileIterator::CurrentFileLastAccessTime | ( |  | ) | const

## CurrentFileLastModifiedTime()

ON__UINT64 ON_FileIterator::CurrentFileLastModifiedTime | ( |  | ) | const

## CurrentFileName()

const wchar_t * ON_FileIterator::CurrentFileName | ( |  | ) | const

## CurrentFileSize()

ON__UINT64 ON_FileIterator::CurrentFileSize | ( |  | ) | const

## Destroy()

void ON_FileIterator::Destroy | ( |  | ) |

## FirstFile() [1/2]

const wchar_t * ON_FileIterator::FirstFile | ( | const char * | directory_name,
|  | const char * | file_name_filter )

## FirstFile() [2/2]

const wchar_t * ON_FileIterator::FirstFile | ( | const wchar_t * | directory_name,
|  | const wchar_t * | file_name_filter )

## GetCurrentFullPathFileName()

bool ON_FileIterator::GetCurrentFullPathFileName | ( | ON_wString & | filename | ) | const

## NextFile()

const wchar_t * ON_FileIterator::NextFile | ( |  | ) |

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_archive.h